﻿a {
  color: cyan;
  text-decoration: none; }
  a:hover {
    color: orange;
    text-decoration: none; }
  a:focus {
    color: white;
    text-decoration: none; }

body {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(50, 50, 50, 0.9)), url("../../images/propane-tanks.jpg") left bottom;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  background-color: #141414;
  color: white; }

footer {
  background: linear-gradient(to left, #141414, rgba(20, 20, 20, 0.6)); }

label {
  color: orange; }

.active-nav a {
  background: linear-gradient(to right, rgba(0, 255, 255, 0.5), rgba(0, 255, 255, 0.05)); }
  .active-nav a:hover {
    background: linear-gradient(to right, cyan, rgba(0, 255, 255, 0.1)); }

.btn-primary {
  background-image: linear-gradient(to top, #00c8c8, #009696); }
  .btn-primary:hover {
    background: none;
    background-image: linear-gradient(to top, #00afaf, #009696); }
  .btn-primary:focus, .btn-primary:active {
    background-color: cyan !important; }

.btn-warning {
  background-image: linear-gradient(to top, #ffc800, #c89600);
  color: white; }
  .btn-warning:hover {
    background: none;
    background-image: linear-gradient(to top, #e1aa00, #aa7800);
    color: white; }

.btn-danger {
  background-image: linear-gradient(to top, #dc3232, #be3232); }
  .btn-danger:hover {
    background: none;
    background-image: linear-gradient(to top, #be3232, #a03232); }

.card {
  background: linear-gradient(to left, #141414, rgba(20, 20, 20, 0.6)); }

.card-header {
  background-color: #141414; }

.card-icon {
  padding: 4px 10px;
  opacity: .2; }

.card-icon-active {
  opacity: 1;
  transition: .2s; }

.card-payment-button {
  font-size: 1.2em;
  height: 120px;
  width: 95%;
  cursor: pointer;
  border: 3px solid rgba(25, 255, 25, 0.95);
  border-radius: 8px; }
  .card-payment-button .glyphicon {
    font-size: 1.4em; }
  .card-payment-button img {
    margin-top: -40px;
    margin-bottom: -30px; }
  .card-payment-button:hover {
    background-color: rgba(25, 255, 25, 0.25); }

.cust-dd {
  height: 34px !important; }
  .cust-dd:focus {
    background-color: transparent;
    box-shadow: none; }
  .cust-dd option {
    background-color: #141414; }

.checkbox-container {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer; }
  .checkbox-container .checkbox-label {
    display: block;
    position: relative;
    top: 7px;
    right: 30px;
    font-weight: 400;
    overflow-x: hidden; }
    .checkbox-container .checkbox-label:hover ~ .checkmark {
      border-color: cyan; }
  .checkbox-container input {
    opacity: 0;
    position: absolute;
    cursor: pointer; }
    .checkbox-container input:checked ~ .checkmark:after {
      display: block; }
  .checkbox-container .checkmark {
    height: 25px;
    width: 25px;
    border: 2px solid orange;
    right: 0;
    top: 5px;
    position: absolute;
    border-radius: 4px; }
    .checkbox-container .checkmark:hover {
      border-color: cyan; }
    .checkbox-container .checkmark:hover ~ .checkbox-label {
      color: cyan; }
    .checkbox-container .checkmark:after {
      height: 15px;
      width: 7px;
      border: 2px solid cyan;
      border-width: 0 3px 3px 0;
      transform: rotate(45deg);
      top: 2px;
      left: 7px; }

.checkmark:after {
  content: "";
  position: absolute;
  display: none; }

.custom-form {
  background-color: transparent;
  border: none;
  border-radius: 0;
  border-bottom: 1px solid orange;
  color: white;
  padding-left: 1px; }
  .custom-form:disabled {
    border: none;
    border-radius: 0;
    border-bottom: 1px solid grey;
    background-color: transparent;
    color: grey;
    padding-left: 1px;
    cursor: default; }
    .custom-form:disabled:hover {
      color: grey;
      border-bottom: 1px solid grey;
      box-shadow: none; }
  .custom-form:focus {
    color: cyan;
    background-color: transparent;
    border: none;
    border-radius: 0;
    box-shadow: none;
    box-shadow: inset 0px 0px 4px 2px cyan;
    border-bottom: 1px solid cyan; }
  .custom-form:hover {
    color: cyan;
    box-shadow: inset 0px 0px 10px cyan;
    border-bottom: 1px solid cyan; }

.display-only {
  color: white;
  border-bottom-color: white; }
  .display-only:disabled {
    color: white;
    border-bottom-color: transparent; }
    .display-only:disabled:hover {
      color: white;
      border-bottom-color: transparent; }

.hamburger-container {
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  cursor: pointer; }

.hover-border {
  cursor: pointer;
  border: 1px solid transparent;
  border-radius: 8px;
  box-shadow: 0px 0px 5px 1px cyan; }
  .hover-border:hover {
    border: 1px solid cyan;
    box-shadow: 0px 0px 5px 1px cyan, inset 0px 0px 5px 1px cyan; }

.input-validation-error {
  box-shadow: inset 0px 0px 10px 1px red;
  border-bottom: 1px solid red; }
  .input-validation-error:focus {
    background-color: #500000; }

.k-button {
  background-image: linear-gradient(to top, #00c8c8, #009696); }
  .k-button:hover {
    background: none;
    background-image: linear-gradient(to top, #00afaf, #009696); }
  .k-button:focus, .k-button:active {
    background-color: cyan !important; }

.link-list a:hover {
  text-decoration: none;
  color: cyan; }

.list-group-item {
  background-color: transparent; }
  .list-group-item:hover {
    background-color: rgba(0, 255, 255, 0.25); }

.manage-accounts-button {
  font-size: 1em;
  height: 120px;
  width: 95%;
  cursor: pointer;
  border: 3px solid rgba(212, 190, 26, 0.95);
  border-radius: 8px; }
  .manage-accounts-button .glyphicon {
    font-size: 1.4em; }
  .manage-accounts-button img {
    margin-top: -40px;
    margin-bottom: -30px; }
  .manage-accounts-button:hover {
    background-color: rgba(212, 190, 26, 0.25); }

.manage-accounts-link {
  color: white; }
  .manage-accounts-link:hover {
    color: white; }

.modal {
  background-color: rgba(20, 20, 20, 0.7); }
  .modal .modal-body, .modal .modal-footer, .modal .modal-header {
    background-color: #141414; }
  .modal li {
    color: orange; }

.navigation {
  font-size: 1.2em;
  display: flex;
  flex-flow: column;
  height: 100%; }
  .navigation a:focus {
    color: white;
    background-color: cyan !important; }
  .navigation a:hover {
    background-color: transparent !important;
    background: linear-gradient(to right, rgba(0, 255, 255, 0.8), transparent); }
  .navigation .disabled-link {
    color: cyan !important;
    cursor: pointer;
    background: linear-gradient(to left, #141414, rgba(20, 20, 20, 0.6)); }
  .navigation ul {
    background: linear-gradient(to left, #141414, rgba(20, 20, 20, 0.6));
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px; }

.stored-account-button {
  font-size: 1.2em;
  height: 120px;
  width: 95%;
  cursor: pointer;
  border: 3px solid rgba(0, 255, 255, 0.95);
  border-radius: 8px; }
  .stored-account-button .glyphicon {
    font-size: 1.4em; }
  .stored-account-button img {
    margin-top: -40px;
    margin-bottom: -30px; }
  .stored-account-button:hover {
    background-color: rgba(0, 255, 255, 0.25); }

.title-well {
  background: linear-gradient(to left, #141414, rgba(20, 20, 20, 0.6));
  border: 1px solid transparent;
  overflow: hidden;
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
  padding: 10px 10px;
  margin-right: 0; }

.well {
  background: linear-gradient(to left, #141414, rgba(20, 20, 20, 0.6));
  border: 1px solid transparent;
  overflow: hidden;
  border-radius: 8px; }
  .well .well-body {
    padding: 10px 10px; }
  .well .well-header {
    border-bottom: 2px solid cyan; }

#hamburger-bar-1, #hamburger-bar-2, #hamburger-bar-3 {
  width: 35px;
  height: 5px;
  background-color: cyan;
  margin: 6px 0;
  transition: .4s; }

.change #hamburger-bar-1 {
  -webkit-transform: rotate(-45deg) translate(-9px, 6px);
  transform: rotate(-45deg) translate(-9px, 6px); }

.change #hamburger-bar-2 {
  opacity: 0;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg); }

.change #hamburger-bar-3 {
  -webkit-transform: rotate(45deg) translate(-8px, -8px);
  transform: rotate(45deg) translate(-8px, -8px); }

#loading-background {
  background-color: rgba(20, 20, 20, 0.3);
  height: 100%;
  width: 100%;
  margin: auto;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0; }

#loading-box {
  background-color: #141414;
  height: 200px;
  width: 200px;
  text-align: center;
  margin: auto;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1499;
  border-radius: 10px;
  padding: 30px; }

#loading {
  width: 70px;
  height: 70px;
  border: 4px solid transparent;
  border-top: 9px solid cyan;
  border-bottom: 9px solid orange;
  margin: auto;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  border-radius: 50%;
  z-index: 1500;
  animation: spin 3s ease-in-out infinite; }

@keyframes spin {
  0% {
    transform: rotate(0deg); }
  100% {
    transform: rotate(720deg); } }
